Subject: [Bug 199471] [Bisected][Regression] windfarm_pm* no longer gets automatically loaded when CONFIG_I2C_POWERMAC=y is set

From: [email-masked]
Date: Sun, 01 Mar 2020 19:46:12 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=199471

--- Comment #11 from Erhard F. ([email-masked]) ---
(In reply to Wolfram Sang from comment #8)
> "This has been quite nice since 4.?.x up to 4.16.x as you only need
> CONFIG_I2C_POWERMAC=y which selects the proper windfarm_pmXX at boot time."
> 
> I can't find that in the code. Are you sure i2c-powermac requested that
> module?
I guess so 'cause if I build i2c_powermac as a module and manually modprobe it,
all the relevant windfarm modules get pulled in. But not before.

 # modprobe -v i2c_powermac
insmod
/lib/modules/4.16.18-PowerMacG5+/kernel/drivers/i2c/busses/i2c-powermac.ko 
 # dmesg | tail
[  150.181478]  11
[  150.182851]  0
[  150.184220]  0

[  150.626685] windfarm: Backside control loop started.
[  150.690132] windfarm: Slots control loop started.
[  150.794843] i2c i2c-0: master_xfer[0] W, addr=0x50, len=1
[  150.796467] i2c i2c-0: master_xfer[1] R, addr=0x50, len=8
[  150.801851] i2c i2c-0: NAK from device addr 0x50 msg #0
[  150.807758] windfarm: Drive bay control loop started.

-- 
You are receiving this mail because:
You are watching the assignee of the bug.